Subject: Re: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Dec 2023 17:02:06 +0200

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 10 Dec 2023 14:36:09 +0100
> 
> > So my suggestion is to get Emacs to crash when you run it with
> > '-q -xrm "emacs.synchronous: true"', and then debug the core file and
> > post the findings here.
> 
> Upthread Po Lu made the same suggestion and I posted the backtrace, see
> <https://lists.gnu.org/archive/html/bug-gnu-emacs/2023-09/msg02461.html>.
> For comparison, I've done that again with my current build from master
> built against the latest webkitgtk and attached the backtrace.  It looks
> to me largely similar to the earlier core backtrace, though in some
> frames less detailed, again maybe due to native compilation.  I can try
> out any gdb instructions on the core file whose results you want to see.

The backtrace seems to say that there was some X error:

  X protocol error: GLXBadWindow on protocol request 151
  Serial no: 4286
  Failing resource ID (if any): 0x3c001c5
  Minor code: 32

I guess we now need to understand what window triggered the "bad
window" error and why?

> I would really like to know why xwidget-webkit-browse-url works with -q
> -xrm "emacs.synchronous: true" only under gdb and crashes otherwise.
> And also why Ramon Diaz-Uriarte does not get a crash: it seems to me
> unlikely that it started working with webkitgtk 2.42.2 but stopped again
> with 2.42.3 (I cannot readily try with 2.42.2 now).

Bugs sometimes behave like that.  A different memory configuration or
something.  We might not understand until we debug this issue
completely.